package com.engine.salary.report.enums;

/**
 * 个税扣缴义务人角色类型
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public enum TaxAgentRoleTypeEnum {

    CHIEF(0, "总管理员"),
    ADMIN(1, "管理员"),
    SUBADMIN(2, "分管理员"),
    NONE(3, "其他");

    private int value;

    private String defaultLabel;

    TaxAgentRoleTypeEnum(int value, String defaultLabel) {
        this.value = value;
        this.defaultLabel = defaultLabel;
    }

    public int getValue() {
        return value;
    }

    public String getDefaultLabel() {
        return defaultLabel;
    }
}
